[OrderHelper]
mode = "ajax"
flash_on = 1

[UserData]

[localePicker]
forceUrl = 1

[viewBag]
==
{% set obUser = UserData.get %}
{% if obUser.isNotEmpty %}
	<div class="container">
	    <div class="row">
	        <div class="col-md-2 col-sd-12">
	            <div class="menu-account mg-tp-30x">
	                <a href="{{ activeLocale == 'it' ? '/mio-account' : '/my-account'}}"><p>{{'Bacheca'|_}}</p></a>
	                <a href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}"><p><strong>{{'Ordini'|_}}</strong></p></a>
	                <a href="{{ activeLocale == 'it' ? '/mio-account/edit-account/' : '/my-account/edit-account'}}"><p>{{'Dettagli Account'|_}}</p></a>
	                <a href="/wishlist"><p>Wishlist</p></a>
	                <a href="javascript:logout()"><p>Logout</p></a>
	            </div>
	        </div>
	        <div class="col-md-10 col-sd-12">
				{% set obOrderList = obUser.order %}
				{% if obOrderList.isNotEmpty() %}
					<div class="table-responsive">
						<table id="table_id" class="nowrap hover table ps-tablet ps-table--shopping-cart last-left" style="width:100%; border:none; border-collapse: collapse;">
					        <thead>
					            <tr>
					                <th class="all">{{'Ordine'|_}}</th>
		                            <th class="all">{{'Data'|_}}</th>
		                            <th class="desktop">{{'Stato'|_}}</th>
		                            <th class="desktop">{{'Consegna'|_}}</th>
		                            <th class="desktop">{{'Totale'|_}}</th>
		                            <th class="all">{{'Azioni'|_}}</th>
					            </tr>
					        </thead>
					        <tbody>
					        	{% for obOrder in obOrderList %}
		                    		<tr>
			                            <td>WEB-{{ obOrder.id }}</td>
			                            <td>{{ obOrder.created_at|date('d-m-Y') }}</td>
			                            <td>{{ obOrder.status.name_for_user }}</td>
										<td><span class="badge badge-danger mr-3" id="descrizione-{{obOrder.id}}">{{obOrder|trackingurl2}}</span></td>
			                            <td>{{ obOrder.prezzo_tot }} {{obOrder.currency_symbol}}</td>
			                            <td><a class=" wishlist crs-ptr details-btn"  href="{{ activeLocale == 'it' ? '/it/mio-account/dettagli-ordine' : '/en/my-account/order-details'}}?order={{obOrder.secret_key}}"><u><b>{{'Apri'|_}}</b></u></a>
			                        </tr>
		                        {% endfor %}

					        </tbody>
					    </table>
					</div>
				{% endif %}
			 </div>
	    </div>
	</div>
{% else %}
	<div class="container">
		<div class="row">
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Benvenuto'|_}}</h2>
		        <form href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}">
			        <div class="benvenutologin">
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email-log" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password-log"  placeholder="Password*">
			            </p>
			            <a id="a-enter" class="ps-btn benvenuto" href="javascript:login()">{{'Accedi'|_}}</a>
			            {% put scripts %}
			            	<script>
			            		var input = document.getElementById("field-password-log");
								input.addEventListener("keyup", function(event) {
									if (event.keyCode === 13) {
										event.preventDefault();
							   			document.getElementById("a-enter").click();
								  	}
								});
			            	</script>
			            {% endput %}
			            </label>
			            <p><a href="/lose-password">{{'Hai dimenticato la password'|_}}?</a></p>

			        </div>
		        </form>
				{% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Registrazione'|_}}</h2>
		        <form href="{{ activeLocale == 'it' ? '/mio-account/orders' : '/my-account/orders'}}">
			        <div class="registrazione">
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="name" id="field-name" value="{{ arForm.name }}" placeholder="{{'Nome'|_}}*">
						</p>
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="last_name" id="field-last_name" value="{{ arForm.last_name }}" placeholder="{{'Cognome'|_}}*">
						</p>
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email" value="{{ arForm.email }}" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password" placeholder="Password*">
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password-confirmation" id="field-password-confirmation" placeholder="{{'Ripeti'|_}} Password*">
			            </p>
			            <a class="ps-btn benvenuto" href="javascript:registration()">Registrati</a>
			            <p>{{"Prendi visione dell'informativa clienti e acconsenti ai servizi di marketing e iniziative commerciali"|_}}</p>
			        </div>
		        </form>
		        {% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		</div>
	</div>
{% endif %}